diff --git a/pgadmin/Makefile.am b/pgadmin/Makefile.am
index 2aaf81e..6195b96 100644
--- a/pgadmin/Makefile.am
+++ b/pgadmin/Makefile.am
@@ -80,7 +80,11 @@ nobase_dist_pkgdata_DATA += \
 	$(TMP_ui)
 endif
 
+if BUILD_SSH_TUNNEL
+AM_CPPFLAGS = -DDATA_DIR=\"$(pkgdatadir)/\" -I$(top_srcdir)/pgadmin/include -I$(top_srcdir)/pgadmin/include/libssh2 $(__CPPFLAGS) $(__EDB_LIBPQ)
+else
 AM_CPPFLAGS = -DDATA_DIR=\"$(pkgdatadir)/\" -I$(top_srcdir)/pgadmin/include $(__CPPFLAGS) $(__EDB_LIBPQ)
+endif
 
 # Automake trys to execute install-exec-hook if it appears anywhere in the file, so we need a dummy
 # for non-APPBUNDLE cases.
@@ -96,7 +100,11 @@ nobase_dist_data_DATA += \
 	$(TMP_ui)
 endif
 
+if BUILD_SSH_TUNNEL
+AM_CPPFLAGS = -I$(top_srcdir)/pgadmin/include -I$(top_srcdir)/pgadmin/include/libssh2 $(__CPPFLAGS) $(__EDB_LIBPQ)
+else
 AM_CPPFLAGS = -I$(top_srcdir)/pgadmin/include $(__CPPFLAGS) $(__EDB_LIBPQ)
+endif
 
 install-exec-hook:
 	cd $(bindir) ;\
